1. Home
  2. Troubleshooting OpenVAS Setup

Troubleshooting OpenVAS Setup

PostgeSQL Version

[>] Starting PostgreSQL service
[-] ERROR: The default PostgreSQL version (15) is not 16 that is required by libgvmd
[-] ERROR: libgvmd needs PostgreSQL 16 to use the port 5432
[-] ERROR: Use pg_upgradecluster to update your PostgreSQL cluster

Fix:

┌──(pronto㉿kali)-[~/Desktop]
└─$ sudo pg_lsclusters 
Ver Cluster Port Status Owner    Data directory              Log file
15  main    5432 online postgres /var/lib/postgresql/15/main /var/log/postgresql/postgresql-15-main.log
16  main    5433 online postgres /var/lib/postgresql/16/main /var/log/postgresql/postgresql-16-main.log
┌──(pronto㉿kali)-[~/Desktop]
└─$ sudo pg_dropcluster --stop 16 main
┌──(pronto㉿kali)-[~/Desktop]
└─$ sudo pg_upgradecluster 15 main
┌──(pronto㉿kali)-[~/Desktop]
└─$ sudo pg_dropcluster --stop 15 main

pg-gvm Extension: Server is version 16, library is version 15:

Bugreport: https://bugs.kali.org

[*] Creating extension pg-gvm
ERROR: extension "pg-gvm" is not available

Fix:

┌──(pronto㉿kali)-[~/Desktop]
└─$ sudo apt install postgresql-16-pg-gvm -y
┌──(pronto㉿kali)-[~/Desktop]
└─$ systemctl restart postgresql

Danach sollte der Test der Installation ohne Fehler durchlaufen:

┌──(pronto㉿kali)-[~/Desktop]
└─$ sudo gvm-check-setup
[...]
It seems like your GVM-23.11.0 installation is OK.

Zurück zum Artikel: OpenVAS Setup

Updated on 23. Dezember 2023

Was this article helpful?